## Nemo.Menu

Nemo.Menu — Nemo.Menu Reference

## Synopsis

     Nemo.Menu extends, gobject.GObject {
      Nemo.Menu();
      append_item(item);
      get_items();
    }

## Ancestry

    +-- gobject.GObject
        +-- Nemo.Menu

## Description

A Nemo.Menu object allows an extension to create sub-menus.

## Constructor

    Nemo.Menu();

Creates a new `Nemo.Menu` object.

## Public Methods

### Nemo.Menu.append_item

    append_item(item);

`item` : | a `Nemo.MenuItem`

Append a `Nemo.MenuItem` to a `Nemo.Menu`.

### Nemo.Menu.get_items

    get_items();

Returns a list of `Nemo.MenuItem` objects attached to the `Nemo.Menu`.